 //<>//
/**
 Classe per a pintar la gràfica quan estem rebent les dades pel
 port USB.
 Estableix una relació d'herencia amb la classe VistaGraficaSD.
 */

public class VistaGrafica extends VistaGraficaSD { 

  VistaGrafica (ControladorGrafica controlador) {
    super(controlador);
  }

  public void pintaEscena() { 
    g.beginDraw(); 
    pintaEixos();
    controlador.inicia();
    if (controlador.isDialZero()) pintaDialZero();
    while (controlador.pucAvansar()) {
      //Demanem registre per a pintar.
      controlador.getRegistre();
      //pintem el dial
      pintaDial();
      //pintem el punt;
      pintaRegistre();
      //avancem.
      controlador.avansa();
    }
    g.endDraw(); 
    image(g, BD.left, BD.top);
  }
}
